Skip to main content
GET
Get scheduled runs

Authorizations

X-API-Key
string
header
required

Query Parameters

uid
string<uuid>[] | null

Scheduled run status

Minimum array length: 1
status
enum<string>[] | null

Scheduled run status

Minimum array length: 1
Available options:
ACTIVE,
CANCELLED,
PAUSED,
COMPLETED
user_uid
string<uuid>[] | null

User UUID

Minimum array length: 1
workspace_uid
string<uuid>[] | null

Workspace UUID

Minimum array length: 1
action_name
string[] | null

Action name

Minimum array length: 1
next_execution_at
string<date-time>[] | null

Next execution at

Minimum array length: 1
last_executed_at
string<date-time>[] | null

Last executed at

Minimum array length: 1
created_at
string<date-time>[] | null

Created at

Minimum array length: 1
updated_at
string<date-time>[] | null

Updated at

Minimum array length: 1
limit
integer
default:10
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0
sort
string[]

Sort by fields. Prefix with - for descending order. Default is ascending order.

Maximum array length: 10
Maximum string length: 128

Response

Returns the scheduled runs

uid
string<uuid>

Scheduled Run UUID

name
string | null

Optional user-defined label for the scheduled run.

Maximum string length: 255
action_id
integer

Action ID

action_name
string

Action name

user_uid
string<uuid>

Member/User UUID

workspace_uid
string<uuid>

Workspace UUID

status
enum<string> | null

Scheduled run status

Available options:
ACTIVE,
CANCELLED,
PAUSED,
COMPLETED
postponed_until
string<date-time> | null

If the run is postponed, this field indicates when it will be retried.

cron
string | null

Cron expression for the scheduled run (POSIX format)

timezone
string | null

Timezone for the scheduled run (IANA timezone format)

next_execution_at
string<date-time> | null

Next execution at

last_executed_at
string<date-time> | null

Last executed at

created_at
string<date-time> | null

Created at

updated_at
string<date-time> | null

Updated at

parameters
object